Skip to content

channelLinks.getChannelLink

GET
/v1/channel-links/{code}
curl --request GET \
--url https://example.com/v1/channel-links/example \
--header 'Authorization: Bearer <token>'

Shows who a link code is for, so the person can check it before they accept.

code
required
string

Success

Media typeapplication/json
object
channel
required
string
>= 1 characters <= 128 characters
channelName
required
string
kind
required
string
Allowed values: slack lark telegram custom
externalUserId
required
string
displayName
required
string
expiresAt
required
number

Example

{
"kind": "slack"
}

OrganizationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: OrganizationRequired

Example

{
"_tag": "OrganizationRequired"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

ChannelLinkInvalid | ChannelIdentityNotFound

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ChannelLinkInvalid

Example

{
"_tag": "ChannelLinkInvalid"
}

@nmnmcc/ability/Authorizer/Pending

Media typeapplication/json
object
_tag
required
string
Allowed values: Pending
ticket
required
string
reason
string

Example

{
"_tag": "Pending"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

ChannelsUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PolicyUnavailable

Example

{
"_tag": "PolicyUnavailable"
}